Skip to content

The following endpoint allows you to disable the delivery of messages in an outbound Spark messaging queue, or an SDK job queue. This stop messages from exiting the queue. For example, disabling delivery on an SDK job queue stops messages from being delivered to the processor.

This endpoint is not available for inbound Spark messaging queues. There is no way to stop received messages from processing in an inbound Spark queue.

PUT/api/{version}/services/queues/{queue_name}/actions/disable_delivery
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{queue_name}The name of a specific Queue.
curl -X PUT -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/services/queues/new_study_queue__c/actions/disable_delivery
{ "responseStatus": "SUCCESS" }